$control-padding-vertical: var(--spacing);
$control-padding-horizontal: var(--spacing);
$border: var(--muted-border-color);
$input-radius: var(--border-radius);

.textareaSizer {
  height: inherit;
  display: block;
  position: relative;
  padding: 0;
  &::after {
    content: attr(data-value) " ";
    visibility: hidden;
    white-space: pre-wrap;
    top: 0;
    left: 0;
    display: block;
  }
  &::after,
  & > textarea {
    padding-bottom: $control-padding-vertical;
    padding-left: $control-padding-horizontal;
    padding-right: $control-padding-horizontal;
    padding-top: $control-padding-vertical;
  }
  > textarea {
    position: absolute;
    width: 100%;
    height: 100%;
    resize: none;
  }
}

.markdownEditor {
  margin-bottom: var(--spacing);
  max-width: var(--page-width);
}
